summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author crocket2010-06-17 13:40:21 +0200
committer Robby Workman2010-06-17 21:43:03 +0200
commit6ef187f80ddb1bb4fd4d6a48040f5a1ae8e8e361 (patch)
treeac33e74fb1390ca510a94bf480de6187afda8fa4 /graphics
parent266f6ae785152bcecc491c7e5e369860d7eddddf (diff)
downloadslackbuilds-6ef187f80ddb1bb4fd4d6a48040f5a1ae8e8e361.tar.gz
graphics/comix: Added (image viewer aimed at comics)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/comix/README7
-rw-r--r--graphics/comix/comix.SlackBuild48
-rw-r--r--graphics/comix/comix.info10
-rw-r--r--graphics/comix/doinst.sh10
-rw-r--r--graphics/comix/slack-desc19
5 files changed, 94 insertions, 0 deletions
diff --git a/graphics/comix/README b/graphics/comix/README
new file mode 100644
index 0000000000..c91e7ae9a8
--- /dev/null
+++ b/graphics/comix/README
@@ -0,0 +1,7 @@
+comix (image viewer that supports viewing images in archives)
+
+comix can display images in archives or directories, removing the need to
+decompress comicbook files. It supports zip, rar, or tar (gzip or bzip2)
+archives. It is written in Python and uses GTK+ through the PyGTK bindings.
+
+This requires unrar.
diff --git a/graphics/comix/comix.SlackBuild b/graphics/comix/comix.SlackBuild
new file mode 100644
index 0000000000..4eca284ddf
--- /dev/null
+++ b/graphics/comix/comix.SlackBuild
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+# Slackware build script for comix
+
+# Written by crocket (crockabiscuit@yahoo.com)
+
+PRGNAM=comix
+VERSION=${VERSION:-4.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr
+python install.py install --dir=$PKG/usr --no-mime
+
+mv $PKG/usr/share/man $PKG/usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/comix/comix.info b/graphics/comix/comix.info
new file mode 100644
index 0000000000..99ede32031
--- /dev/null
+++ b/graphics/comix/comix.info
@@ -0,0 +1,10 @@
+PRGNAM="comix"
+VERSION="4.0.4"
+HOMEPAGE="http://comix.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/comix/comix-4.0.4.tar.gz"
+MD5SUM="029227a77b122f7080ee0280d41bee78"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@yahoo.com"
+APPROVED="rworkman"
diff --git a/graphics/comix/doinst.sh b/graphics/comix/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/graphics/comix/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/graphics/comix/slack-desc b/graphics/comix/slack-desc
new file mode 100644
index 0000000000..1bd1c57ec2
--- /dev/null
+++ b/graphics/comix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+comix: comix (image viewer that supports viewing images in archives)
+comix:
+comix: Comicbook files come archived almost always.
+comix: Decompressing comicbook files can be time-consuming and boring.
+comix: comix opens an archive file and displays images in it, removing
+comix: the need to decompress comicbook files.
+comix: It reads images in zip, rar, or tar(gzip or bzip2) archives as well
+comix: as plain image files. it is written in Python and uses GTK+ through
+comix: the PyGTK bindings.
+comix:
+comix: The website for comix is http://comix.sourceforge.net/